API Direct
Endpoints
Instagram User Stories

Instagram User Stories

GET /v1/instagram/user/stories

Get a user's currently active stories by username or profile URL. Returns each story's media URLs, post time and expiry, link stickers, mentions, tagged users, location, and audio.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

username
Instagram username, with or without leading @ (max 100 characters). Provide either username or url.
url
Instagram profile URL, e.g. https://instagram.com/natgeo (max 500 characters). Provide either username or url.

Example Request

curl "https://apidirect.io/v1/instagram/user/stories?username=natgeo" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "stories": [
    {
      "title": "@natgeo on Instagram",
      "url": "https://instagram.com/stories/natgeo/3976510169036109894/",
      "date": "2026-09-01 10:02:53",
      "date_timestamp": 1788256973,
      "expires_at": "2026-09-02 10:02:53",
      "expires_at_timestamp": 1788343373,
      "author": "natgeo",
      "author_id": "787132",
      "author_name": "National Geographic",
      "author_verified": true,
      "source": "Instagram",
      "domain": "instagram.com",
      "snippet": "",
      "is_video": false,
      "media_type": "story",
      "media_id": "3976510169036109894",
      "thumbnail_url": "https://scontent.cdninstagram.com/v/t51.82787-15/story.jpg",
      "video_url": "",
      "video_duration": null,
      "width": 750,
      "height": 1334,
      "location": null,
      "tagged_users": [],
      "mentions": [],
      "links": [
        {
          "url": "https://www.nationalgeographic.com/environment/article/super-el-nino-extreme-weather-climate",
          "title": "Visit Link"
        }
      ],
      "audio": null,
      "coauthors": [],
      "is_paid_partnership": false,
      "ai_label": {"label": null, "detection_method": "NONE"}
    }
  ],
  "username": "natgeo",
  "count": 3
}

Your Usage

Free tier this month
Loading...
Recent Activity